<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/common_top_bar_height"
    android:background="@color/white"
    android:paddingHorizontal="16dp">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_back"
        android:layout_width="24dp"
        android:layout_height="24dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/commonui_back_black_ic" />

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="12dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_back"
        app:layout_constraintStart_toEndOf="@id/iv_back"
        app:layout_constraintTop_toTopOf="@id/iv_back" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_user_name"
        android:layout_width="144dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="12dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintEnd_toStartOf="@id/btn_more"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        tools:text="UserName" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_more"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:padding="4dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/profile_dynamic_more_ic" />

</androidx.constraintlayout.widget.ConstraintLayout>